http://www.shiffman.net/teaching/nature
-Skylar
Thursday, April 12, 2007
Fluid video
I put an animation in the CAD folder which shows a fluid called ferrafluid(spelling?). The fluid is somehow magnetically charged and almost changes states from fluid to solid. Very interesting material.
A grad project at Yale used this fluid for experimentation.
-Skylar
A grad project at Yale used this fluid for experimentation.
-Skylar
Friday, April 6, 2007
http://wiring.org.co/ioboard/index.html
This is a link to a circuit board that can possibly provide the link between programming/computation strategies and the real world interaction. I have also heard of a board that can be programmed through Flash.
Its random, but I learned of these things while talking to man on the chinatown bus back from NY. He is a scultpure that is diving into interactive installations as well as scripting. Very interesting. He also has a studio down at the Mills. Could be an interesting connection?
Anyway...
Skylar
This is a link to a circuit board that can possibly provide the link between programming/computation strategies and the real world interaction. I have also heard of a board that can be programmed through Flash.
Its random, but I learned of these things while talking to man on the chinatown bus back from NY. He is a scultpure that is diving into interactive installations as well as scripting. Very interesting. He also has a studio down at the Mills. Could be an interesting connection?
Anyway...
Skylar
Sunday, April 1, 2007
Scripting in General
I just had a general question about scritping language. It seems to me, especially after having had some experience with Rhinoscript, that there is a disparity between different modeling software programs and the types of syntax they use. My question is why can't they all use the same language so that you can cross over to different programs and feel confident that you know what you are doing? Is it because the different programs need to compete with one another so they make their own language that they think is the best for the user or is it because they are just stubborn and don't want a standard language for all programs? I'm sure that given some time I would get used to Rhinoscript, but right now, it just strikes me as to much work for something that could be easily done in Maxscript.
Saturday, March 31, 2007
Script
I figured I would post the script I have been working on so that everyone can benefit. Maybe someone could break it down and take it further, or create something more interesting.
Anyway....
Option Explicit
Sub Main
Dim arrObjects, strObject, arrPoints, arrPoint, strPoint
Dim strFileName, strFilter, objFSO, objStream
Dim strPreX, strPreY, strPreZ
Dim strPostX, strPostY, strPostZ
Dim strDelimiter
' User-definable prefixes
strPreX = ""
strPreY = ""
strPreZ = ""
' User-definable postfixes
strPostX = ""
strPostY = ""
strPostZ = ""
' User-definable delimiter(s)
strDelimiter = ","
' User-definable file filters
strFilter = "Excel File (*.xls)*.xlsAll Files (*.*)*.*"
' Get the points to export
Dim strObj : strObj = Rhino.GetObject("Select a curve")
If Rhino.IsCurve(strObj) Then
Dim x : x = 600 arrPoints = Rhino.DivideCurve (strObj, x, vbTrue)
For Each arrPoint In arrPoints
Dim arrPT : arrPT = Rhino.AddPoint (arrPoint)
Next
arrObjects = Rhino.ObjectsByType (1 , vbTrue)
' Get the filename to create
strFileName = Rhino.SaveFileName("Save Point Coordinates As", strFilter)
If IsNull(strFileName) Then Exit Sub
' Get the file system object
Set objFSO = CreateObject("Scripting.FileSystemObject")
On Error Resume Next
' Get a new text file
Set objStream = objFSO.CreateTextFile(strFileName, True)
If Err Then
MsgBox Err.Description
Exit Sub
End If
For Each strObject In arrObjects
Dim k
k = k + 1
Dim arrPTcord : arrPTcord = Rhino.PointCoordinates (strObject)
Dim dblParam : dblParam = Rhino.CurveClosestPoint(strObj, arrPTcord)
Dim arrData : arrData = Rhino.CurveCurvature (strObj, dblParam)
strPoint = CStr(arrData(3))
' Write the coordinate to the file
objStream.WriteLine(strPoint)
Next
End If
objStream.Close
End Sub
Main
-Skylar
Anyway....
Option Explicit
Sub Main
Dim arrObjects, strObject, arrPoints, arrPoint, strPoint
Dim strFileName, strFilter, objFSO, objStream
Dim strPreX, strPreY, strPreZ
Dim strPostX, strPostY, strPostZ
Dim strDelimiter
' User-definable prefixes
strPreX = ""
strPreY = ""
strPreZ = ""
' User-definable postfixes
strPostX = ""
strPostY = ""
strPostZ = ""
' User-definable delimiter(s)
strDelimiter = ","
' User-definable file filters
strFilter = "Excel File (*.xls)*.xlsAll Files (*.*)*.*"
' Get the points to export
Dim strObj : strObj = Rhino.GetObject("Select a curve")
If Rhino.IsCurve(strObj) Then
Dim x : x = 600 arrPoints = Rhino.DivideCurve (strObj, x, vbTrue)
For Each arrPoint In arrPoints
Dim arrPT : arrPT = Rhino.AddPoint (arrPoint)
Next
arrObjects = Rhino.ObjectsByType (1 , vbTrue)
' Get the filename to create
strFileName = Rhino.SaveFileName("Save Point Coordinates As", strFilter)
If IsNull(strFileName) Then Exit Sub
' Get the file system object
Set objFSO = CreateObject("Scripting.FileSystemObject")
On Error Resume Next
' Get a new text file
Set objStream = objFSO.CreateTextFile(strFileName, True)
If Err Then
MsgBox Err.Description
Exit Sub
End If
For Each strObject In arrObjects
Dim k
k = k + 1
Dim arrPTcord : arrPTcord = Rhino.PointCoordinates (strObject)
Dim dblParam : dblParam = Rhino.CurveClosestPoint(strObj, arrPTcord)
Dim arrData : arrData = Rhino.CurveCurvature (strObj, dblParam)
strPoint = CStr(arrData(3))
' Write the coordinate to the file
objStream.WriteLine(strPoint)
Next
End If
objStream.Close
End Sub
Main
-Skylar
Monday, March 26, 2007
Smart Geometry
As discussed in class today here is a link to Smart Geometry. I found they have posted a number of the presentations online in video with slide shows to go with the speakers. You will have to create a log-in user name on Bentley's website. Also Jane do you know which presentation had the project based on the pine cone?
http://www.smartgeometry2007.com/agenda.asp
-Matt
http://www.smartgeometry2007.com/agenda.asp
-Matt
Thursday, March 15, 2007
Thoughts
Does anyone have any suggestions on how to manipulate this script in order to make the pyramids vary in size? They currently vary slightly as the script progresses by using the "i" variable, but it doesn't seem to be creating much differentiation.
p = pyramid width:30 depth:0 height:20 widthsegs:2 depthsegs:2 heightsegs:2
convertToMesh p
for i = 1 to 20 do
(
animate on
(
at time (i * 5)
(
j = instance p pos: [0,i*10,0]
rotAngle = angleAxis (i*25) [0,1,0]
rotate j rotAngle scale j [i/5,i,i/5]
for i = 1 to getNumVerts j-8 do
(
b = pyramid width:i height:i depth:1
rotAngle = angleAxis (i*50) [0,1,0]
rotate b rotAngle
vert = getVert j i
b.pos = vert )
delete j
)
)
)
delete p
-Skylar
p = pyramid width:30 depth:0 height:20 widthsegs:2 depthsegs:2 heightsegs:2
convertToMesh p
for i = 1 to 20 do
(
animate on
(
at time (i * 5)
(
j = instance p pos: [0,i*10,0]
rotAngle = angleAxis (i*25) [0,1,0]
rotate j rotAngle scale j [i/5,i,i/5]
for i = 1 to getNumVerts j-8 do
(
b = pyramid width:i height:i depth:1
rotAngle = angleAxis (i*50) [0,1,0]
rotate b rotAngle
vert = getVert j i
b.pos = vert )
delete j
)
)
)
delete p
-Skylar
Subscribe to:
Posts (Atom)